package com.czg.account.service;

import com.czg.account.dto.ShopShareDTO;
import com.czg.account.vo.ShopShareRecordVO;
import com.czg.account.vo.ShopShareVO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.account.entity.ShopShare;

/**
 * 店铺分享 服务层。
 *
 * @author zs
 * @since 2025-03-05
 */
public interface ShopShareService extends IService<ShopShare> {

    ShopShareVO get(Long shopId);

    Boolean add(Long shopId, ShopShareDTO shopShareDTO);

    Page<ShopShareRecordVO> recordPage(Long shopId, String key, Integer status);
}
